package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyLhtzdVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyLhtzdService
 * @ProjectName TyLhtzdService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyLhtzdService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyLhtzdVO> getTyLhtzdList(TyLhtzdVO tyLhtzdVO);

	/**
	 * 分页展示
	 * @param TyLhtzdVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyLhtzdVO> getTyLhtzdPage(TyLhtzdVO tyLhtzdVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyLhtzdVO
	 * @return
	 */
	int insert(TyLhtzdVO tyLhtzdVO);

	/**
	 * 更新信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int update(TyLhtzdVO tyLhtzdVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	int delete(String tzdid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyLhtzdVO getLhtzdByLhtzdid(String tzdid);

}
